﻿@using System.Web.UI.WebControls;

<table style="width: 100%" border="0">
    <tr>
        <td style="width:20%;border:1px solid black;padding:7px;">
            <table style="width: 100%; margin: 0 auto; text-align: center; vertical-align: top" border="0">
                <tr style="height:40px;">
                    <td align="left" valign="top">
                        @using (Html.BeginForm("CallbackUpload", "RackAddressMaster", FormMethod.Post))
                        {
                            @Html.DevExpress().UploadControl(
                            Uploader =>
                            {
                                Uploader.Name = "UploadRackAddressMaster";
                                Uploader.CallbackRouteValues = new { Controller = "RackAddressMaster", Action = "CallbackUpload" };
                                Uploader.ShowProgressPanel = false;
                                Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                                Uploader.Width = 200;
                            }).GetHtml()
                        }
                    </td>
                    <td align="left" valign="top">
                        @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdUpload";
                            Button.Text = "Upload";
                            Button.Width = 90;
                            Button.ClientSideEvents.Click = "UploadData";
                            //Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "UPLOAD");

                        }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td align="left" valign="middle" colspan="2">
                        @Html.DevExpress().HyperLink(Link =>
                        {
                            Link.Name = "cmdDownloadLink";
                            Link.Properties.Text = "Download Template";
                            Link.Width = 160;
                            //Link.Height = 20;
                            Link.NavigateUrl = "javascript:void(0)";
                            Link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ existingFile(); }}");
                            Link.Style.Add("display", "inline-table");

                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td style="width:80%;border:1px solid black;padding:7px;">
            <table style="width: 100%" border="0">
                <colgroup>
                    <col width="10%" />
                    <col width="10%" />
                    <col width="7%" />
                    <col width="5%" />
                    <col width="10%" />
                    <col width="7%" />
                    <col width="8%" />
                    <col width="10%" />
                    <col width="33%" />
                </colgroup>
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Rack Address";

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        textbox =>
                        {
                            textbox.Properties.MaxLength = 12;
                            textbox.Name = "RackAddressCode";
                            textbox.Properties.ClientSideEvents.Init = "SetFocus";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            textbox.Width = 130;
                            textbox.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                        }).GetHtml()
                    </td>
                    <td></td>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Aisle";

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                        combo =>
                        {
                            combo.Name = "AisleCode";
                            combo.Width = 100;
                            combo.SelectedIndex = -1;
                            combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            combo.CallbackRouteValues = new { Controller = "RackAddressMaster", Action = "RackAddressCombobox" };
                            combo.Properties.TextField = "COMBO_LABEL";
                            combo.Properties.ValueField = "COMBO_VALUE";
                        }).BindList(ViewData["AISLE_CD"]).GetHtml()
                    </td>
                    <td></td>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Delete Flag";

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                        combo =>
                        {
                            combo.Name = "DeleteFlag";
                            combo.Width = 100;
                            combo.SelectedIndex = -1;
                            combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            combo.CallbackRouteValues = new { Controller = "RackAddressMaster", Action = "RackAddressCombobox" };
                            combo.Properties.TextField = "COMBO_LABEL";
                            combo.Properties.ValueField = "COMBO_VALUE";
                        }).BindList(ViewData["DELETE_FLAG"]).GetHtml()
                    </td>
                    <td></td>
                </tr>
                <tr style="height:5px;">
                    <td colspan="9"></td>
                </tr>
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Zone";

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                        combo =>
                        {
                            combo.Name = "ZoneCode";
                            combo.Width = 100;
                            combo.SelectedIndex = -1;
                            combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            combo.CallbackRouteValues = new { Controller = "RackAddressMaster", Action = "RackAddressCombobox" };
                            combo.Properties.TextField = "COMBO_LABEL";
                            combo.Properties.ValueField = "COMBO_VALUE";
                        }).BindList(ViewData["ZONE_CD"]).GetHtml()
                    </td>
                    <td></td>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Rack";

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                        combo =>
                        {
                            combo.Name = "RackCode";
                            combo.Width = 100;
                            combo.SelectedIndex = -1;
                            combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            combo.CallbackRouteValues = new { Controller = "RackAddressMaster", Action = "RackAddressCombobox" };
                            combo.Properties.TextField = "COMBO_LABEL";
                            combo.Properties.ValueField = "COMBO_VALUE";
                        }).BindList(ViewData["RACK_CD"]).GetHtml()
                    </td>
                    <td colspan="4" align="right">
                        @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdSearch";
                            edtSetting.Text = "Search";
                            edtSetting.Width = 80;
                            edtSetting.ClientSideEvents.Click = "OnSearch";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "SEARCH");

                        }
                        ).GetHtml()
                        @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdClear";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Clear";
                            edtSetting.ClientSideEvents.Click = "OnClear";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "CLEAR");
                        }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <hr />
        </td>
    </tr>
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdSave";
                edtSetting.Width = 80;
                edtSetting.Text = "Save";
                edtSetting.ClientSideEvents.Click = "SaveData";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "SAVE");
            }).GetHtml()

            @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdCancel";
                edtSetting.Width = 80;
                edtSetting.Text = "Cancel";
                edtSetting.ClientSideEvents.Click = "CancelConfirm";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "CANCEL");
            }).GetHtml()

            @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdDownload";
                edtSetting.Width = 80;
                edtSetting.Text = "Download";
                edtSetting.ClientSideEvents.Click = "DownloadData";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "DOWNLOAD");
            }).GetHtml()
        </td>
        <td align="right">
            @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdAdd";
                edtSetting.Width = 80;
                edtSetting.Text = "Add";
                edtSetting.ClientSideEvents.Click = "AddData";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "ADD");
            }).GetHtml()

            @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdEdit";
                edtSetting.Width = 80;
                edtSetting.Text = "Edit";
                edtSetting.ClientSideEvents.Click = "EditData";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "EDIT");

            }).GetHtml()

            @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdDelete";
                edtSetting.Width = 80;
                edtSetting.Text = "Delete";
                edtSetting.ClientSideEvents.Click = "DeleteData";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = true;
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("RackAddressMaster", "FTR-SPEX-191-01", "DELETE");
            }).GetHtml()
        </td>
    </tr>
</table>
@Html.DevExpress().TextBox(hsettings =>
{
    hsettings.Name = "Process_ID2";
    hsettings.ClientVisible = false;
}).GetHtml()